//****************************************************************************
//  minisample
//
//  P4 からデータを読みとり、POUT に出力します。
//  何かキーを押すと終了します。
//***************************************************************************/
#include<stdio.h>
#include<unistd.h>
#include"WinTypes.h"
#include"USBM3069.h"

int main(void){
	TW_HANDLE hDev;
	BYTE Data;

	hDev = USBM_Open(NULL);
	if(hDev == NULL){
		puts("デバイスに接続できませんでした。\n");
		return 1;
	}
	puts("デバイスに接続しました。");
	
	USBM_PortRead8(hDev, USBM_P4, &Data);   //P4 からデータを読む
	puts("P4 からデータを読み出しました。");
	
	USBM_PortWrite8(hDev, USBM_POUT, Data); //POUT にデータを書く 
	puts("POUT にデータを書き込みました。");
	
	USBM_Close(hDev);
	puts("デバイスをクローズしました。");
	
	return 0;
}	
